.page-id-58 .header-main.active li>a,
.page-id-58 .header-main.active i {
    color: #000 !important;
}

.blog-btn .eael-load-more-button {
    height: 150px;
    width: 150px;
    position: relative;
}

.blog-btn .eael-load-more-button::before {
    content: "" !important;
    position: absolute;
    height: 400px;
    width: 400px;
    background: #000;
    border-radius: 50%;
    left: -139%;
    top: 0;
    z-index: -1;
    transition: all 0.7s;
    transform: translate(-50%, -50%);
}

.blog-btn .eael-load-more-button:hover:before {
    left: 50%;
}

.blog-btn .eael-load-more-button:hover span {
    color: #fff;
}

.header-main.active .side-menu i {
    color: #fff !important;
}

.site-footer .footer-logo a {
    font-size: 0px !important;
}

.sub-menu-image-box a {
    font-size: 17px;
    font-weight: 300;
    color: #fff !important;
}

.page-id-58 .elementor-7 .elementor-element.elementor-element-8e328af .elementskit-menu-hamburger {
    border-color: #000 !important;
}

.page-id-58 .elementskit-menu-hamburger {
    color: #fff !important;
}

.elementskit-menu-hamburger span {
    background-color: #fff !important;
}

.page-id-58 .header-main.active .elementskit-menu-hamburger.elementskit-menu-toggler {
    border-color: #000 !IMPORTANT;
    z-index: 9999;
}

/* .page-id-58 .header-main.active .elementskit-menu-hamburger-icon {
    background-color: #000 !important;
}
 */
.sub-menu-image-box img {
    height: 32px !IMPORTANT;
    object-fit: cover;
}

.sub-menu-image-box a:hover {
    color: #fff !important;
}

.sub-menu-image-box a::before {
    top: 30px !important;
}

.sub-menu-image-box a::after {
    bottom: 30px !important;
}

.page-id-58 .header-main.active .main-logo img {
    filter: none;
}

.main-site-menu .elementskit-submenu-panel>li>a {
    padding: 8px 15px !important;
}

.client-logo .swiper-wrapper {
    transition-timing-function: linear !important;
}

.slick-prev:before,
.slick-next:before {
    font-family: 'Font Awesome 5 Free' !important;
    height: 50px;
    width: 50px;
    background: #000;
    position: relative;
    display: flex;
    border-radius: 50%;
    justify-content: center;
    align-items: center;
    opacity: 0.5 !IMPORTANT;
    font-size: 25px !important;
}

.slide.slick-slide {
    background: black;
}

.menu-item .elementor-image-box-img a:hover:before,
.menu-item .elementor-image-box-img a:hover:after {
    display: none;
}

.slick-prev,
.slick-next {
    z-index: 1 !important;
}

.project-inner-gallery .gallery {
    display: block !important;
}

.page {
    margin: 0 !important;
}

.details-text {
    position: relative;
}

.details-text:before {
    content: "";
    position: absolute;
    height: 54px;
    width: 54px;
    border-radius: 50%;
    left: -26px;
    top: -6px;
    background: #d7c7b3;
    z-index: -11;
}

footer.elementor-slideshow__footer.elementor-lightbox-prevent-close {
    display: none;
}

.project-inner-gallery img {
    height: 260px;
    object-fit: cover;
}

@-webkit-keyframes mover {
    0% {
        transform: translatex(0);
    }

    100% {
        transform: translatex(-15px);
    }
}

@keyframes mover {
    0% {
        transform: translatex(0);
    }

    100% {
        transform: translatex(-15px);
    }
}

.counter-home .elementor-counter-title {
    position: relative;
}

.slick-prev,
.slick-next {
    transform: translate(50%, 50%);
}

.slick-next {
    right: 6% !important;
    z-index: 9;
}

.slick-prev {
    left: 4% !important;
    z-index: 9;
}

.product-gallery .e-con-inner {
    width: 100%;
    max-width: 100%;
}

.product-overlay {
    position: relative;
}

.product-image a,
.product-small-image a {
    width: 100%;
}

.product-image img {
    height: 534px !important;
    object-fit: cover;
}

.product-small-image img {
    height: 262px !important;
    object-fit: cover;
    object-position: center;
}

.product-image img,
.product-small-image img {
    width: 100%;
    opacity: 1;
    display: block;
    transition: .5s ease;
    backface-visibility: hidden;
}

.project-detail-title {
    transition: .5s ease;
    opacity: 0;
    position: absolute;
    top: 50%;
    left: 0%;
    transition: .5s all;
    transform: translatey(0px);
}

.project-detail-title h5 {
    line-height: 1.2em !important;
}

.product-overlay:hover .product-image img,
.product-overlay:hover .product-small-image img {
    opacity: 0.2;
}

.product-overlay:hover .project-detail-title {
    opacity: 1;
    transition: .5s all;
    transform: translatey(-20px);
}

.blog-section .e-con-inner {
    max-width: 100%;
    width: 100%;
}

.elementor-lightbox-prevent-close i.eicon-share-arrow {
    display: none !important;
}

.single-post .post .entry-footer {
    display: none !important;
}

.single-post .post-navigation {
    padding: 0px 70px;
}

.single-post h5 {
    margin: 20px 0px !important;
    color: #000000;
    font-weight: 500 !important;
}

.single-post ol,
.single-post ul {
    margin-left: 0px;
    padding-left: 20px;
    margin-top: 10px;
}

.single-post ol li,
.single-post ul li {
    margin-bottom: 15px;
    font-size: 17px;
    font-weight: 400;
    color: #000;
    font-family: 'Jost', sans-serif;
    line-height: 26px;
}

.single-post ol li strong,
.single-post ul li strong {
    color: #000000;
}

.single-post ol li::marker,
.single-post ul li::marker {
    color: #000;
    font-weight: bolder;
}

.single-post .nav-links a {
    font-size: 18px !important;
    color: #000;
}

.addtoany_shortcode a {
    line-height: 1;
}

.contact-icon-box h5 {
    margin-top: 0px;
}

.contact-icon-box h5 a {
    font-size: 20px;
}

.contact-icon-box p a {
    font-family: "Roboto", Sans-serif;
    font-size: 16px;
    font-weight: 400;
    color: #4f4f4f;
}

.line-overlap {
    position: relative;
}

.line-overlap::after {
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    background: #000;
    z-index: -1;
    left: 0;
}

.filter-map {
    filter: grayscale(1);
}

.bim-image-box h6 {
    margin: 0px 0px 20px !important;
    font-size: 22px;
}

.inner-details h5 {
    margin: 15px 0px;
    color: #000;
}

.inner-details ul {
    margin-left: 0px;
    padding-left: 20px;
}

.service-name {
    width: fit-content;
    position: relative;
}

.service-name:before {
    content: "";
    position: absolute;
    height: 2px;
    width: 85px;
    background: #000;
    top: 50%;
    left: -100px;
    z-index: 1;
}

.service-even-name {
    width: fit-content;
    position: relative;
}

.service-even-name:after {
    content: "";
    position: absolute;
    height: 2px;
    width: 85px;
    background: #000;
    top: 50%;
    right: -100px;
    z-index: 1;
}

.go-back-btn button {
    width: fit-content;
    max-width: fit-content !important;
    position: relative;
    z-index: 99;
	padding: 12px 24px;
    background: transparent;
    font-family: "Jost", Sans-serif;
    fill: #000000;
    color: #000000;
    font-size: 24px !important;
    font-weight: 500 !important;
	border: none;
}

.go-back-btn button::before {
    content: "";
    position: absolute;
    width: 60px;
    height: 60px;
    background: #d7c7b3;
    border-radius: 50%;
    right: 75%;
    top: -8px;
    z-index: -11;
    transition: .6s ease-in-out;
}

.go-back-btn button:hover:before {
    left: auto;
    width: 30px;
    height: 30px;
    transition: .6s ease-in-out;
    top: 8px;
    z-index: -11;
    background: #000;
    right: 20px;
}

.go-back-btn .icon.icon-right-arrow::before {
	font-weight: 500 !important;
	margin-left: 18px !important;
}


@media (min-width: 1872px) {
    .rotate-image {
        top: 80%;
    }
}

@media (min-width: 1600px) {
    .bg-color {
        padding: 150px;
    }

    .company-about-icon {
        width: 15% !important;
    }
}

@media (min-width: 1500px) {
    .highlight3 {
        top: 0;
        width: fit-content;
        right: -36%;
    }
}

@media (max-width:1399px) and (min-width:1025px) {

    .highlight .elementor-heading-title,
    .highlight3 .elementor-heading-title {
        font-size: 53px !important;
    }
}

@media (max-width:1200px) and (min-width:1025px) {
    .details-text:before {
        left: -15px !important;
        top: 0px !important;
        height: 40px !important;
        width: 40px !important;
    }
}

@media (max-width:1024px) and (min-width:768px) {
    .slick-next {
        right: 7% !important;
    }
}

@media (max-width: 1024px) {

	 .line-head::before {
        left: -30px;
		transform: translateX(-110px);
    }

    .line-head::after {
        right: -30px;
		transform: translateX(110px);
    }
	
    .hvr-clm::after {
        opacity: 0.7 !important;
    }

    .hvr-txt,
    .hvr-heading {
        transform: translateY(0) !important;
        opacity: 1 !important;
    }

    .main-site-menu .elementskit-menu-hamburger {
        height: 40px;
        width: 40px !important;
        border-radius: 50% !important;
        border: none !important;
        background: #000 !important;
        color: #fff !important;
    }

    .elementskit-menu-hamburger-icon:first-child {
        display: none;
    }

    .elementskit-menu-hamburger-icon:last-child {
        width: 42%;
        right: 8px !important;
        position: absolute;
    }

    .menu-item a {
        width: fit-content;
    }

    .menu-item a::before {
        top: 5px;
    }

    .menu-item a::after {
        bottom: 5px;
    }

    .big-counter-text .e-con-inner {
        margin: 0;
    }

    body.page-id-58 .header a.ekit-menu-nav-link {
        color: #000 !important;
    }

    body.page-id-58 .menu-item a::before {
        background-color: #000;
        top: 5px;
    }

    body.page-id-58 .menu-item a::after {
        background-color: #000;
        bottom: 5px;
    }

    .page-id-58 .header i {
        color: #000 !important;
    }

    i.icon.icon-down-arrow1.elementskit-submenu-indicator {
        margin-left: 10px !important;
    }

    .highlight {
        position: absolute;
        transform: rotatez(0deg);
        top: 41%;
        width: fit-content;
        left: 22%;
    }

    .highlight3 {
        right: 50% !important;
        transform: translate(50%, -50%) rotatez(0deg);
        width: fit-content;
        top: 50%;
    }

    .cs_object .cs_po {
        right: 75% !important;
    }

    .blogs-line article:nth-child(2) {
        margin-top: 0px !important;
    }

    .single-post .post {
        padding: 0px 30px !important;
    }

    .single-post .post-navigation {
        padding: 0px 30px;
    }
}

@media (max-width:992px) {

    .highlight3 {
        right: -16%;
    }
}

@media (min-width: 768px) {
    .fixed-clm {
        height: 100%;
        min-height: 480px;
        position: sticky;
        top: 5%;
    }
}

@media (max-width: 767px) {

    header .main-logo a img {
        width: 100% !important;
    }

    div.bg-color .elementor-58 .elementor-element.elementor-element-84147a0 .gallery {
        margin: 0 !important;
    }

    div.elementor-element-84147a0 .gallery {
        margin: 0 !important;
    }

    .bg-color {
        width: 100% !important;
    }

    .bg-color figure.gallery-item {
        padding: 10px !important;
    }
	
	.line-head br {
		display: none !important;
	}

    .line-text::after {
        width: 50px;
        right: 0;
        left: auto;
    }

    .hvr-txt,
    .hvr-heading {
        transform: translateY(0) !important;
        opacity: 1 !important;
    }

    .slick-prev {
        left: 20px !important;
        z-index: 9;
        transform: translate(0, -50%) !important;
        top: 50% !important;
    }

    .slick-next {
        right: 35px !important;
        z-index: 9;
        top: 50% !important;
        transform: translate(0, -50%) !important;
    }

    .slick-prev:before,
    .slick-next:before {
        height: 35px;
        width: 35px;
        font-size: 16px !important;
    }

    .highlight {
        left: 0 !important;
    }

    .swiper-zoom-container {
        padding: 0 10px;
    }

    .line-head::before {
        width: 80px;
    }

    .line-head::after {
        width: 80px;
    }

    .cs_object .cs_po {
        top: 80px !important;
    }

    .product-image img,
    .product-small-image img {
        height: 250px !important;
    }

    .single-post .post {
        padding: 0px 15px !important;
    }

    .single-post .post h1 {
        font-size: 32px !important;
    }

    .single-post .post-navigation {
        padding: 0px 15px;
    }

    .single-post .entry-content {
        margin-top: 0.5em;
    }

    .single-post .post-navigation .nav-links {
        display: block;
    }

    .single-post .post-navigation .nav-next {
        text-align: start;
        margin-top: 10px;
    }

    .service-name:before,
    .service-even-name:after {
        display: none;
    }
	
	.page-id-767 .line-overlap .line-head::before {
        display: none;
    }

    .page-id-767 .line-overlap .line-head::after {
        display: none;
    }
}

@media (max-width:600px) {
    .line-head::before {
        display: none;
    }

    .line-head::after {
        display: none;
    }
}

.client-logo img {
    width: 150px;
    height: 150px;
    object-fit: contain;
}